#ifndef REFINEMENT_H_
#define REFINEMENT_H_

#include "option.h"
#include "vcycle.h"
#include "dgraph.h"
#include "utils.h"
#include "info.h"
#include "dgraphPartition.h"
#include "debug.h"
#include "vcycle.h"
#include "dgraphTraversal.h"


void KwayRefinementStep(MLGP_option opt, int level, dgraph* graph, idxType* part, idxType nbpart, MLGP_info* info);
extern ecType computeGainNode(dgraph *G, idxType *part, idxType movableto, idxType node, MLGP_option opt);
void forcedBalance(dgraph *G, idxType *toporderpart,
		   			double* ub_pw,
		      		idxType *part, idxType nbpart, MLGP_option opt, MLGP_info* info, idxType* fBpartsize);


#endif
