#ifndef WCYCLE_H_
#define WCYCLE_H_

#ifdef dagP_METIS
#include "metis.h"

void dgraph_to_metis(dgraph* G, idx_t* in, idx_t* adj, idx_t* vw, idx_t* adjw);
#else
typedef int idx_t;
#endif

#include "option.h"
#include "vcycle.h"
#include "rvcycle.h"

void wcycle(dgraph* G, idxType* flag, const MLGP_option opt, MLGP_info* info);
void undirPartitioningLibrary(dgraph* G, idxType* part, const MLGP_option opt);
void undirBisectionRandom(dgraph* graph, idxType* part);
void undirBisectionGGG(dgraph* G, idxType* part, MLGP_option opt, MLGP_info* info);
#endif
