#ifndef RUNTIME_H
#define RUNTIME_H

#include <stdio.h>
#include <memory.h>
#include <string.h>
#include <limits.h>
#include "dgraph.h"
#include "option.h"


typedef  struct{
    idxType idx;
    ecType finish_time;
} parent;

ecType EFTruntime(dgraph* G, idxType nbproc, MLGP_option opt);
ecType EFTPartruntime(dgraph* G, idxType nbproc, idxType* part, idxType nbpart, MLGP_option opt);
ecType EFTPartruntimeBusy(dgraph* G, idxType nbproc, idxType* part, idxType nbpart, MLGP_option opt);
ecType EFTPartruntimeMacro(dgraph* G, idxType nbproc, idxType* part, idxType nbpart, MLGP_option opt);
#endif
